### Method

# EDataServer SourceAuthentication set_proxy_uid

since: 3.12

#### Declaration [src]

    void
    e_source_authentication_set_proxy_uid (
      ESourceAuthentication* extension,
      const gchar* proxy_uid
    )

#### Description [src]

Sets the `ESource:uid` of the `ESource` that holds network proxy settings for use when connecting to a remote account.

Available since: 3.12

Sets property | `EDataServer.SourceAuthentication:proxy-uid`

#### Parameters

`proxy_uid`

  Type: `const gchar*`

  The proxy profile `ESource:uid`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.